summaryrefslogtreecommitdiff
path: root/dev-ruby/optimist
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /dev-ruby/optimist
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'dev-ruby/optimist')
-rw-r--r--dev-ruby/optimist/Manifest2
-rw-r--r--dev-ruby/optimist/metadata.xml15
-rw-r--r--dev-ruby/optimist/optimist-3.2.0.ebuild29
-rw-r--r--dev-ruby/optimist/optimist-3.2.1.ebuild29
4 files changed, 75 insertions, 0 deletions
diff --git a/dev-ruby/optimist/Manifest b/dev-ruby/optimist/Manifest
new file mode 100644
index 000000000000..f02eb2b8eec1
--- /dev/null
+++ b/dev-ruby/optimist/Manifest
@@ -0,0 +1,2 @@
+DIST optimist-3.2.0.gem 41472 BLAKE2B 8053099a04989f2cb82d0d7395c610d11c3f1b12a2b44cc5556525ff308757f5f5d49d3b594dea2a106d7195b6b426092395e43569b1df2644b2a3a27abbfaeb SHA512 0b7168d46dacd7b6e4e76dd5df57bbe2cf758c20fa5103f77d94bb5d1c9ff59a83c0622e14c02556bafabffcffee168bd1feb77b62ae329077d68765055cff22
+DIST optimist-3.2.1.gem 41984 BLAKE2B 44d62495ab6df69e248638d80f5663efcb5fb2140c7f5383c602f71e868e57b07fce5575bd0319d0d44441229d15322c881aa104a4cd3c093d2edaf2c8109731 SHA512 0bdd1820244ac9a40f634bc0ae1cdf26711d33c6e78e889b8e0e3326c64491274d303b070d5fb44793f221f783fbb4ee2eac247f4ee0a2e9812405ba80d9748c
diff --git a/dev-ruby/optimist/metadata.xml b/dev-ruby/optimist/metadata.xml
new file mode 100644
index 000000000000..ea1cd824407a
--- /dev/null
+++ b/dev-ruby/optimist/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <longdescription>
+ Optimist is a commandline option parser for Ruby that just gets
+ out of your way. One line of code per option is all you need to
+ write. For that, you get a nice automatically-generated help page,
+ robust option parsing, command subcompletion, and sensible
+ defaults for everything you don't specify.
+ </longdescription>
+</pkgmetadata>
diff --git a/dev-ruby/optimist/optimist-3.2.0.ebuild b/dev-ruby/optimist/optimist-3.2.0.ebuild
new file mode 100644
index 000000000000..7859b639ba31
--- /dev/null
+++ b/dev-ruby/optimist/optimist-3.2.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="FAQ.txt CHANGELOG.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A commandline option parser for Ruby that just gets out of your way"
+HOMEPAGE="https://www.manageiq.org/optimist/"
+LICENSE="MIT"
+
+SLOT="3"
+KEYWORDS="~amd64 ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~x64-macos ~x64-solaris"
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/chronic )"
+
+all_ruby_prepare() {
+ sed -i -e '/bundle/ s:^:#:' Rakefile || die
+ sed -i -e 's/MiniTest/Minitest/' test/*_test.rb test/optimist/*_test.rb || die
+}
+
+each_ruby_test() {
+ MUTANT=true ${RUBY} -S rake test || die "Tests failed."
+}
diff --git a/dev-ruby/optimist/optimist-3.2.1.ebuild b/dev-ruby/optimist/optimist-3.2.1.ebuild
new file mode 100644
index 000000000000..9bc8fddef691
--- /dev/null
+++ b/dev-ruby/optimist/optimist-3.2.1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
+
+RUBY_FAKEGEM_EXTRADOC="FAQ.txt CHANGELOG.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A commandline option parser for Ruby that just gets out of your way"
+HOMEPAGE="https://www.manageiq.org/optimist/"
+LICENSE="MIT"
+
+SLOT="3"
+KEYWORDS="~amd64 ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~x64-macos ~x64-solaris"
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/chronic )"
+
+all_ruby_prepare() {
+ sed -i -e '/bundle/ s:^:#:' Rakefile || die
+ sed -i -e 's/MiniTest/Minitest/' test/*_test.rb test/optimist/*_test.rb || die
+}
+
+each_ruby_test() {
+ MUTANT=true ${RUBY} -S rake test || die "Tests failed."
+}